Bug 212467 - [new port] sysutils/node_exporter Prometheus exporter for machine metrics
Summary: [new port] sysutils/node_exporter Prometheus exporter for machine metrics
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-07 23:41 UTC by jevonearth
Modified: 2016-10-15 05:25 UTC (History)
2 users (show)

See Also:


Attachments
port shell archive (3.15 KB, application/x-shar)
2016-09-07 23:41 UTC, jevonearth
no flags Details
New patch file with some improvements. (5.25 KB, patch)
2016-09-08 23:26 UTC, jevonearth
no flags Details | Diff
New patch generated from svn diff (5.22 KB, patch)
2016-09-22 22:18 UTC, jevonearth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jevonearth 2016-09-07 23:41:28 UTC
Created attachment 174496 [details]
port shell archive

New port for node_exporter, which is a metrics exporter for the prometheus server.

This is my first port in many years, so feedback and corrections will be graciously accepted. :)
Comment 1 jevonearth 2016-09-08 23:26:34 UTC
Created attachment 174556 [details]
New patch file with some improvements.

Updated Makefile, and tested that it passed `port test`.
Comment 2 jevonearth 2016-09-22 22:18:02 UTC
Created attachment 175079 [details]
New patch generated from svn diff
Comment 3 jevonearth 2016-09-23 18:30:15 UTC
I have tested this port with `poudriere testport` and it passed.
Comment 4 jevonearth 2016-10-15 00:20:06 UTC
Passes `poudriere testport` on:

11.0-RELEASE-p1
10.3-RELEASE-p10
Comment 5 Kurt Jaeger freebsd_committer 2016-10-15 05:24:38 UTC
Testbuilds are OK. Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-10-15 05:25:27 UTC
A commit references this bug:

Author: pi
Date: Sat Oct 15 05:24:30 UTC 2016
New revision: 424002
URL: https://svnweb.freebsd.org/changeset/ports/424002

Log:
  New port: sysutils/node_exporter

  node_exporter is a prometheus exporter for machine metrics, written in Go
  with pluggable metric collectors.

  WWW: https://github.com/prometheus/node_exporter

  PR:		212467
  Submitted by:	Jev Bjoersell <jev@ecadlabs.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/node_exporter/
  head/sysutils/node_exporter/Makefile
  head/sysutils/node_exporter/distinfo
  head/sysutils/node_exporter/files/
  head/sysutils/node_exporter/files/node_exporter.in
  head/sysutils/node_exporter/pkg-descr